Get service provider options for a shipment
post
/custom-actions/getServiceProviderOptions/shipments/{shipmentId}
Request
Path Parameters
-
shipmentId(required): string
Shipment GID
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest body for service provider options (optional).
Show Source
-
pks: array
pks
Array of shipment PKs when not using path id.
-
ratePreference: string
If not provided, the value will depend on the property glog.webserver.shipment.changeSP.showpreferredOnly.
-
relaxEquipment: string
If not provided, the value will depend on the property glog.webserver.shipment.changeSP.ignoreEquipment.
-
relaxMode: string
If not provided, the value will depend on the property glog.webserver.shipment.changeSP.ignoreMode.
-
relaxServiceTime: string
If not provided, the value will depend on the property glog.webserver.shipment.changeSP.ignoreServiceTime.
-
showDigitalFreightRates: string
If not provided, the value will depend on the property glog.webserver.shipment.changeSP.showDigitalFreightRates.
Response
Supported Media Types
- application/json
200 Response
OK. Service provider options returned.
Root Schema : getServiceProviderOptionsResponse
Type:
objectResponse containing service provider options for the shipment.
Show Source
-
firstOrderReleaseGid: string
First Order Release GID
-
items: array
items
List of service provider options.
-
shipmentPk: string
Pk of the shipment
Nested Schema : items
Type:
arrayList of service provider options.
Show Source
-
Array of:
object getServiceProviderOptionsResultItem
Service provider option for the shipment
Nested Schema : getServiceProviderOptionsResultItem
Type:
objectService provider option for the shipment
Show Source
-
capacityUsage:
capacityUsage
Capacity Usage Details
-
co2Emission:
co2Emission
CO2 Emissions Details
-
co2EqEmission:
co2EqEmission
CO2 Equivalent Emissions Details
-
commitmentAllocation:
commitmentAllocation
Commitment Allocation Details
-
commitmentCount:
commitmentCount
Commitment Count Details
-
destinationLocationGid: string
Destination Location Gid
-
endTime:
endTime
End Time
-
equipmentGroupGid: string
Equipment Group Gid
-
isDigitalFreight: string
Indicates whether this service provider is a digital freight provider.
-
isServiceTimeFeasible: string
Indicates whether the service time is feasible.
-
isServProvPreferred: string
Indicates whether the preferred service provider selected.
-
rateGeoGid: string
Rate Geo Gid
-
rateOfferingGid: string
Rate Offering Gid
-
serviceProviderId: string
Service Provider Id
-
sourceLocationGid: string
Source Location Gid
-
startTime:
startTime
Start Time
-
tenderStatus: string
Indicates current tender status
-
totalCost:
totalCost
Total Cost
-
totalWeightedCost:
totalWeightedCost
Total Weighted Cost
-
transportModeGid: string
Transport Mode Gid
Nested Schema : co2EqEmission
CO2 Equivalent Emissions Details
Match All
CO2 Equivalent Emissions Details
Show Source
Nested Schema : commitmentAllocation
Commitment Allocation Details
Match All
Commitment Allocation Details
Show Source
Nested Schema : commitmentCount
Commitment Count Details
Match All
Commitment Count Details
Show Source
Nested Schema : amountType
Type:
Show Source
object-
unit: string
Unit of measure
-
value: number
Numeric value that specifies an amount
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Bad Request. The server could not understand the request due to invalid syntax or parameters.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. Authentication is required and has failed or has not yet been provided.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Forbidden. Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
Internal Server Error. The server encountered an internal error that prevented it from fulfilling this request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.